/*
 * Copyright (C) 2018 - present Instructure, Inc.
 *
 * This file is part of Canvas.
 *
 * Canvas is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, version 3 of the License.
 *
 * Canvas is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */
import I18n from 'i18n!closedCaptionLanguages'

const closedCaptionLanguages = {
  af: I18n.t('Afrikaans'),
  sq: I18n.t('Albanian'),
  ar: I18n.t('Arabic'),
  be: I18n.t('Belarusian'),
  bg: I18n.t('Bulgarian'),
  ca: I18n.t('Catalan'),
  zh: I18n.t('Chinese'),
  'zh-cn': I18n.t('Chinese Simplified'),
  'zh-tw': I18n.t('Chinese Traditional'),
  hr: I18n.t('Croatian'),
  cs: I18n.t('Czech'),
  da: I18n.t('Danish'),
  nl: I18n.t('Dutch'),
  en: I18n.t('English'),
  et: I18n.t('Estonian'),
  fl: I18n.t('Filipino'),
  fi: I18n.t('Finnish'),
  fr: I18n.t('French'),
  gl: I18n.t('Galician'),
  de: I18n.t('German'),
  el: I18n.t('Greek'),
  ht: I18n.t('Haitian Creole'),
  iw: I18n.t('Hebrew'),
  hi: I18n.t('Hindi'),
  hu: I18n.t('Hungarian'),
  is: I18n.t('Icelandic'),
  id: I18n.t('Indonesian'),
  ga: I18n.t('Irish'),
  it: I18n.t('Italian'),
  ja: I18n.t('Japanese'),
  ko: I18n.t('Korean'),
  lv: I18n.t('Latvian'),
  lt: I18n.t('Lithuanian'),
  mk: I18n.t('Macedonian'),
  ms: I18n.t('Malay'),
  mt: I18n.t('Maltese'),
  no: I18n.t('Norwegian'),
  fa: I18n.t('Persian'),
  pl: I18n.t('Polish'),
  pt: I18n.t('Portuguese'),
  ro: I18n.t('Romanian'),
  ru: I18n.t('Russian'),
  sr: I18n.t('Serbian'),
  sk: I18n.t('Slovak'),
  sl: I18n.t('Slovenian'),
  es: I18n.t('Spanish'),
  sw: I18n.t('Swahili'),
  sv: I18n.t('Swedish'),
  tl: I18n.t('Tagalog'),
  th: I18n.t('Thai'),
  tr: I18n.t('Turkish'),
  uk: I18n.t('Ukrainian'),
  vi: I18n.t('Vietnamese'),
  cy: I18n.t('Welsh'),
  yi: I18n.t('Yiddish')
}

export default closedCaptionLanguages
